r14725 - gnucash/trunk - Add script code to build libgsf -- tested and works for me.

Derek Atkins warlord at cvs.gnucash.org
Fri Aug 25 23:30:13 EDT 2006


Author: warlord
Date: 2006-08-25 23:30:13 -0400 (Fri, 25 Aug 2006)
New Revision: 14725
Trac: http://svn.gnucash.org/trac/changeset/14725

Modified:
   gnucash/trunk/
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Add script code to build libgsf -- tested and works for me.
Add script code to build goffice (not enabled, yet).



Property changes on: gnucash/trunk
___________________________________________________________________
Name: svk:merge
   - d2ab10a8-8a95-4986-baff-8d511d9f15b2:/local/gnucash/trunk:13126
   + d2ab10a8-8a95-4986-baff-8d511d9f15b2:/local/gnucash/trunk:13128

Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2006-08-26 01:48:48 UTC (rev 14724)
+++ gnucash/trunk/packaging/win32/custom.sh	2006-08-26 03:30:13 UTC (rev 14725)
@@ -79,6 +79,12 @@
 LIBTOOL_URL="http://ftp.gnu.org/gnu/libtool/libtool-1.5.22.tar.gz"
 AUTOTOOLS_DIR=$GLOBAL_DIR\\autotools
 
+LIBGSF_URL="$GNOME_MIRROR/sources/libgsf/1.14/libgsf-1.14.1.tar.bz2"
+LIBGSF_DIR=$GLOBAL_DIR\\libgsf
+
+GOFFICE_URL="$GNOME_MIRROR/sources/goffice/0.3/goffice-0.3.0.tar.bz2"
+GOFFICE_DIR=$GLOBAL_DIR\\goffice
+
 SVN_URL="http://subversion.tigris.org/files/documents/15/32856/svn-1.3.2-setup.exe"
 SVN_DIR=$GLOBAL_DIR\\svn
 
@@ -94,6 +100,7 @@
 add_step inst_glade
 add_step inst_gwrap
 add_step inst_gnome
+add_step inst_libgsf
 add_step inst_autotools
 add_step inst_svn
 add_step svn_up

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-08-26 01:48:48 UTC (rev 14724)
+++ gnucash/trunk/packaging/win32/install.sh	2006-08-26 03:30:13 UTC (rev 14725)
@@ -91,7 +91,6 @@
 function smart_wget() {
     _FILE=`basename $1`
     _DLD=`unix_path $2`
-    _TMP=`unix_path $TMP_DIR`
 
     # If the file already exists in the download directory ($2)
     # then don't do anything.  But if it does NOT exist then
@@ -99,7 +98,7 @@
     # move it to the dest dir.
     if [ ! -f $_DLD/$_FILE ] ; then
 	wget -c $1 -P $TMP_DIR
-	mv $_TMP/$_FILE $_DLD
+	mv $TMP_UDIR/$_FILE $_DLD
     fi
 }
 
@@ -501,6 +500,54 @@
     quiet libtool --help || die "autotools not installed correctly"
 }
 
+function inst_libgsf() {
+    setup libGSF
+    _LIBGSF_UDIR=`unix_path $LIBGSF_DIR`
+    add_to_env $_LIBGSF_UDIR/bin PATH
+    add_to_env $_LIBGSF_UDIR/lib/pkgconfig PKG_CONFIG_PATH
+    set +e
+    quiet pkg-config --exists libgsf-1 libgsf-gnome-1
+    if [ $? = 0 ] ; then
+	set -e
+	echo "libgsf already installed.  skipping."
+    else
+	set -e
+	smart_wget $LIBGSF_URL $DOWNLOAD_DIR
+	tar -xjpf $DOWNLOAD_UDIR/libgsf-*.tar.bz2 -C $TMP_UDIR
+	qpushd $TMP_UDIR/libgsf-*
+	    cp configure.in configure.in.bak
+	    cat configure.in.bak | sed '/AC_PROG_INTLTOOL/s#$#([],[no-xml])#' > configure.in
+	    autoconf
+	    ./configure --prefix=$_LIBGSF_UDIR
+	    make
+	    make install
+	qpopd
+    fi
+    pkg-config --exists libgsf-1 libgsf-gnome-1 || die "libgsf not installed correctly"
+}
+
+function inst_goffice() {
+    setup GOffice
+    _GOFFICE_UDIR=`unix_path $GOFFICE_DIR`
+    add_to_env $_GOFFICE_UDIR/lib/pkgconfig PKG_CONFIG_PATH
+    set +e
+    quiet pkg-config --exists libgoffice-1
+    if [ $? = 0 ] ; then
+	set -e
+	echo "goffice already installed.  skipping."
+    else
+	set -e
+	smart_wget $GOFFICE_URL $DOWNLOAD_DIR
+	tar -xjpf $DOWNLOAD_UDIR/goffice-*.tar.bz2 -C $TMP_UDIR
+	qpushd $TMP_UDIR/goffice-*
+	    ./configure --prefix=$_GOFFICE_UDIR
+	    make
+	    make install
+	qpopd
+    fi
+    pkg-config --exists libgoffice-1 || die "goffice not installed correctly"
+}
+
 function inst_svn() {
     setup Subversion
     _SVN_UDIR=`unix_path $SVN_DIR`



More information about the gnucash-changes mailing list